Investigate parallel-ssh library once paramiko supports hmac-256/hmac-512
Closed, DeclinedPublic

Description

This is a suggested future improvement to scap:

parallel-ssh looks like a better way to do the cluster-ssh connections, where we currently shell out to ssh. The problem is, parallel-ssh uses paramiko which doesn't yet support the required handshake/cipher for connecting to sshd on our clusters. Paramiko has a pending pull request that addresses this problem and once that lands we should seriously consider switching to parallel-ssh.

mmodell created this task.Sep 29 2015, 1:42 PM
mmodell updated the task description. (Show Details)
mmodell raised the priority of this task from to Low.
mmodell added a project: Scap.
mmodell added a subscriber: mmodell.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 29 2015, 1:42 PM
mmodell moved this task from Needs triage to Experiments on the Scap board.Sep 29 2015, 1:42 PM
greg set Security to None.
mmodell changed the task status from Open to Stalled.Oct 2 2015, 5:22 PM

hmac-256 is now supported in paramiko, according to the changelog.

greg edited projects, added scap2; removed Deployment-Systems.Feb 9 2016, 11:51 PM
dduvall moved this task from Experiments to Debt on the Scap board.Feb 12 2016, 7:13 PM
dduvall moved this task from Debt to Experiments on the Scap board.
mmodell closed this task as Declined.Nov 11 2016, 4:11 AM

If we make a change we will almost certainly go with clustershell instead.